/* $Id: window.h 57 2011-03-06 22:47:59Z oh2gve $
 *
 * Copyright 2011 Tapio Aaltonen
 *
 *
 * This file is part of Kello.
 *
 * Kello is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Kello is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Kello.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef WINDOW_H
#define WINDOW_H

// Wx stuff.
#include <wx/frame.h>
#include <wx/string.h>
#include <wx/textctrl.h>
#include <wx/timer.h>


class Window : public wxFrame
{
public:

	Window(wxString const& title);
	virtual ~Window();

private:

	// Id:s for custom events.
	enum EventIds { ID_Timer, ID_Font, ID_BGColor, ID_Info, ID_Quit };

	// Event handlers for window events.
	void onTimer(wxTimerEvent& event);
	void onFont(wxCommandEvent& event);
	void onBGColor(wxCommandEvent& event);
	void onInfo(wxCommandEvent& event);
	void onQuit(wxCommandEvent& event);
	void onClose(wxCloseEvent& event);
	
	// Time text field.
	wxTextCtrl* timeField_;

	// Timer for updating time field.
	wxTimer* timer_;

	DECLARE_EVENT_TABLE()

};
#endif // WINDOW_H
